> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get product video item by id

> Mixin to provide a reusable `list` method for filtering and paginating queryset results.



## OpenAPI

````yaml get /api/product_to_videos/{id}/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/product_to_videos/{id}/:
    get:
      tags:
        - product_to_videos
      description: >-
        Mixin to provide a reusable `list` method for filtering and paginating
        queryset results.
      operationId: product_to_videos_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this product to video.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductToVideo'
          description: ''
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  schemas:
    ProductToVideo:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        type:
          allOf:
            - $ref: '#/components/schemas/Type93bEnum'
          default: product_anyshot
          description: |-
            The type of the product video flow.

            * `product_anyshot` - Product AnyShot
            * `product_avatar` - Product Avatar
        product_url:
          type: string
          format: uri
          description: >-
            URL of the product image to use for video generation (must be a
            direct image URL, e.g. PNG, JPG, WEBP).
          maxLength: 200
        aspect_ratio:
          allOf:
            - $ref: '#/components/schemas/AspectRatio338Enum'
          default: 16x9
          description: |-
            Aspect ratio of the image and video

            * `9x16` -  9X16
            * `16x9` -  16X9
            * `1x1` -  1X1
        override_avatar:
          type: string
          format: uuid
          nullable: true
          description: Override avatar for the video. Default is null.
        motion_style:
          nullable: true
          default: null
          description: >-
            The motion style of the product avatar when start generate video.The
            prerequisite is that the image has an avatar.


            * `talking` - Talking

            * `display` - Display
          oneOf:
            - $ref: '#/components/schemas/MotionStyleEnum'
            - $ref: '#/components/schemas/NullEnum'
        product_showcase_url:
          type: string
          nullable: true
          description: The sample diagram url of the product you wish to generate.
        image_prompt:
          type: string
          nullable: true
          description: User prompt for generate image description
        video_prompt:
          type: string
          nullable: true
          description: User prompt for generate video description
        status:
          allOf:
            - $ref: '#/components/schemas/ProductToVideoStatusEnum'
          description: >-
            Product to video task status: one of [initializing,
            image_generating, image_generated, video_generating,
            video_generated, failed]
          readOnly: true
        generated_video_url:
          type: string
          readOnly: true
          description: The generated video url.
        generated_photo_url:
          type: string
          readOnly: true
          description: The generated image url.
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Created date
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Updated date
        webhook_url:
          type: string
          format: uri
          nullable: true
          description: Webhook URL for status updates. Default is null.
          maxLength: 200
        failed_reason:
          type: string
          readOnly: true
          description: The generated image url.
        regen_type:
          type: string
          readOnly: true
          description: The generated image url.
        regen_source_id:
          type: string
          readOnly: true
          description: The generated video url.
      required:
        - created_at
        - failed_reason
        - generated_photo_url
        - generated_video_url
        - id
        - product_url
        - regen_source_id
        - regen_type
        - status
        - updated_at
    Type93bEnum:
      enum:
        - product_anyshot
        - product_avatar
      type: string
      description: |-
        * `product_anyshot` - Product AnyShot
        * `product_avatar` - Product Avatar
    AspectRatio338Enum:
      enum:
        - 9x16
        - 16x9
        - 1x1
      type: string
      description: |-
        * `9x16` -  9X16
        * `16x9` -  16X9
        * `1x1` -  1X1
    MotionStyleEnum:
      enum:
        - talking
        - display
      type: string
      description: |-
        * `talking` - Talking
        * `display` - Display
    NullEnum:
      enum:
        - null
    ProductToVideoStatusEnum:
      type: string
      enum:
        - initializing
        - image_generating
        - image_generated
        - video_generating
        - video_generated
        - failed
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````